Package org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedJavaseGetResource

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedJavaseGetResource

All Implemented Interfaces:
  `PrivilegedAction<URL>`

Enclosing class:
  WebappClassLoaderBase

    protected final class WebappClassLoaderBase.PrivilegedJavaseGetResource
    extends Object
    implements PrivilegedAction<URL>

### Constructor Summary

Constructors
`PrivilegedJavaseGetResource​(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`URL` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivilegedJavaseGetResource

    public PrivilegedJavaseGetResource​(String name)

### Method Detail

#### run

    public URL run()

Specified by:
  `run` in interface `PrivilegedAction<URL>`